Bug 976220 - Review Request: python-assertEquals - assertEquals is an epic testing interface for Python
Review Request: python-assertEquals - assertEquals is an epic testing interfa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matej Stuchlik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 03:17 EDT by Robert Kuska
Modified: 2016-01-31 21:14 EST (History)
3 users (show)

See Also:
Fixed In Version: python-assertEquals-0.4.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 21:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mstuchli: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Kuska 2013-06-20 03:17:26 EDT
Spec URL: http://rkuska.fedorapeople.org/pkgs/assertEquals/python-assertEquals.spec
SRPM URL: http://rkuska.fedorapeople.org/pkgs/assertEquals/python-assertEquals-0.4.4-1.fc18.src.rpm
Description:
assertEquals is an interface for running tests written with the Python
standard library's unittest module. It used to be named testosterone.
It delivers summary and detail reports on TestCases discovered in
module-space, via both a command-line and a curses(3) interface. The
interactive mode is the default, but it depends on the non-interactive mode.
For debugging, static tracebacks and interactive Python debugger (Pdb) 
sessions are available in both scripted and interactive modes. 
Fedora Account System Username: rkuska
Comment 1 Robert Kuska 2013-06-20 03:18:12 EDT
This a rename review request from python-testosterone.
Comment 2 Matej Stuchlik 2013-06-20 04:05:35 EDT
Rename done correctly, looks good.
Comment 3 Robert Kuska 2013-06-20 04:36:54 EDT
New Package SCM Request
=======================
Package Name: python-assertEquals
Short Description: assertEquals is an epic testing interface for Python
Owners: rkuska
Branches: f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-06-20 08:15:10 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-06-20 09:23:27 EDT
python-assertEquals-0.4.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-assertEquals-0.4.4-1.fc19
Comment 6 Fedora Update System 2013-06-20 13:59:01 EDT
python-assertEquals-0.4.4-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-07-08 21:29:44 EDT
python-assertEquals-0.4.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Michael Schwendt 2013-08-21 06:27:22 EDT
Unfortunately, the package has not been retired

  https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

and has been rebuilt, too.

python-testosterone
    python-testosterone-0:0.4.1-8.fc20.noarch  isn't obsoleted
    python-testosterone-0:0.4.1-4.fc15.noarch  is oldest
    python-testosterone < 0:0.4.1-8  obsoleted by  python-assertEquals-0:0.4.4-3.fc20.noarch
Comment 9 Robert Kuska 2013-08-22 05:04:28 EDT
(In reply to Michael Schwendt from comment #8)
> Unfortunately, the package has not been retired
> 
>   https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
> 
> and has been rebuilt, too.
> 
> python-testosterone
>     python-testosterone-0:0.4.1-8.fc20.noarch  isn't obsoleted
>     python-testosterone-0:0.4.1-4.fc15.noarch  is oldest
>     python-testosterone < 0:0.4.1-8  obsoleted by 
> python-assertEquals-0:0.4.4-3.fc20.noarch

Thank you for the notice.

I have retired package and wrote a ticket for rel-engs.

Note You need to log in before you can comment on or make changes to this bug.